Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.net
Class StalledSessionsFilter

    java.lang.Object
      org.apache.mina.common.IoFilterAdapter
          org.jivesoftware.openfire.net.StalledSessionsFilter

All Implemented Interfaces:
  org.apache.mina.common.IoFilter

    public class StalledSessionsFilter

extends org.apache.mina.common.IoFilterAdapter

MINA filter that will close sessions that are failing to read outgoing traffic and whose outgoing queue is around 5MB. Use the system property `session.stalled.cap` to set the max number of bytes allowed in the outgoing queue of a session before considering it stalled.

Author:
  Gaston Dombiak

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.mina.common.IoFilter
`org.apache.mina.common.IoFilter.NextFilter, org.apache.mina.common.IoFilter.WriteRequest`

Constructor Summary
`StalledSessionsFilter()`

Method Summary
`void` | `filterWrite(org.apache.mina.common.IoFilter.NextFilter nextFilter, org.apache.mina.common.IoSession session, org.apache.mina.common.IoFilter.WriteRequest writeRequest)`

Methods inherited from class org.apache.mina.common.IoFilterAdapter
`destroy, exceptionCaught, filterClose, init, messageReceived, messageSent, onPostAdd, onPostRemove, onPreAdd, onPreRemove, sessionClosed, sessionCreated, sessionIdle, sessionOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StalledSessionsFilter

    public StalledSessionsFilter()

Method Detail

### filterWrite

    public void filterWrite(org.apache.mina.common.IoFilter.NextFilter nextFilter,
                            org.apache.mina.common.IoSession session,
                            org.apache.mina.common.IoFilter.WriteRequest writeRequest)
                     throws Exception

  Specified by:
    `filterWrite` in interface `org.apache.mina.common.IoFilter`
  Overrides:
    `filterWrite` in class `org.apache.mina.common.IoFilterAdapter`
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.